<?php

/**
 * View to handle displaying an attachment.
 *
 * @package XenForo_Attachment
 */
class Tac_CustomImgCaptcha_ViewAdmin_CicExport_View extends XenForo_ViewAdmin_Base 
{
	public function renderRaw()
	{
		$captchaModel = XenForo_Model::create('Tac_CustomImgCaptcha_Model_Captcha'); 
		
		$captchaTableSQL = $captchaModel->getCaptchaTableSQL();
				
		$this->_response->setHeader('Content-Description', 'File Transfer', true);
		$this->_response->setHeader('Content-type', 'application/octet-stream', true);
		$this->_response->setHeader('Content-Disposition', 'attachment; filename=captcha_dump.sql', true);
		$this->_response->setHeader('Content-Transfer-Encoding', 'binary', true);
		$this->_response->setHeader('Expires', '0', true);
		$this->_response->setHeader('Cache-Contro', 'must-revalidate, post-check=0, pre-check=0', true);
		$this->_response->setHeader('Pragma', 'public', true);
		
		return $captchaTableSQL;
		
	}

	
	
	

	
}